#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname	%(echo %{name} | cut -d '-' -f2-)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-IO-Socket-SSL
Version		:	2.060
Release		:	14.8.0.0%{?dist}
Summary		:	Perl library for transparent SSL
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/release/IO-Socket-SSL

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	make-ca
BuildRequires	:	perl-Net-SSLeay

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
IO::Socket::SSL is a class implementing an object oriented
interface to SSL sockets. The class is a descendent of
IO::Socket::INET.
 
In order to use IO::Socket::SSL you need to have Net::SSLeay
v1.46 or newer installed.
 
To use ECDH curves (needed for perfect forward secrecy) you need
to use Net::SSLeay >= 1.56.
 
To use OCSP to check for certificate revocations you need
OpenSSL 1.0.0 or better and Net::SSLeay>=1.59.
 
For those who do not have a built-in random number generator
(including most users of Solaris), you should install one
before attempting to install IO::Socket::SSL.  If you don't
already have a favorite, try "egd" (egd.sourceforge.net) or
one of the other "Related Projects" listed on its home page.
If you want to bypass the test for existence of the RNG, then
set the "SKIP_RNG_TEST" environment variable to a true value.
 
In addition to providing a general OO interface to SSL sockets,
this package can be used with libwww-perl.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc README
%{_datadir}/perl5/core_perl/IO/Socket/SSL.pm
%{_datadir}/perl5/core_perl/IO/Socket/SSL.pod
%{_datadir}/perl5/core_perl/IO/Socket/SSL/*.pm
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

PERL_MM_USE_DEFAULT=1					\
	perl						\
	Makefile.PL					\
	INSTALLDIRS=perl				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	PERL_INSTALL_ROOT=%{buildroot}			\
	install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
#chmod -R u+w %{buildroot}/*

#-----------------------------------------------------------------------------
%changelog
